NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.Weld.WeldBeadBuilder Class Reference

Used to create or edit a NXOpen.Weld.WeldBead feature. More...

Inheritance diagram for NXOpen.Weld.WeldBeadBuilder:
NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  BeadLocationMethod { SecondaryParts, PrimaryParts, InSpace }
 Settings to indicate the desired location of the bead. More...
 
enum  FaceInferMethodType { TangentFaces, None }
 Settings to indicate the method for obtaining faces used when creating the guide curve path. More...
 
enum  OutputTypes { Fixed, Associative }
 Settings to indicate the update behaviour of the bead feature More...
 
enum  Types {
  Ellipse, Tube, Sketch, Triangle,
  Rectangle
}
 Settings to indicate the sweep shape of the bead. More...
 

Public Member Functions

unsafe NXOpen.Spline CreatePreviewPath ()
 Creates a preview curve that will be used to create the bead solid. More...
 
unsafe NXOpen.Spline GetPreviewPath ()
 The preview curve that will be used to create the bead solid. More...
 
unsafe
NXOpen.Weld.WeldBeadPathBuilder 
NewPath ()
 Creates a NXOpen.Weld.WeldBeadPathBuilder object. More...
 
unsafe
NXOpen.Weld.WeldBeadSizeBuilder 
NewSize ()
 Creates a NXOpen.Weld.WeldBeadSizeBuilder object. More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe
NXOpen.Weld.WeldBeadBuilder.BeadLocationMethod 
BeadLocation [get, set]
 Returns or sets the desired bead location. More...
 
unsafe
NXOpen.Weld.CharacteristicsBuilder 
Characteristics [get]
 Returns the characteristics to assign to the object created. More...
 
unsafe double DistanceTolerance [get, set]
 Returns or sets the distance tolerance for constructing the bead. More...
 
unsafe bool ExtendToBoundary [get, set]
 Returns or sets the option to control if the bead guide curve should extend to the nearest face boundary. More...
 
unsafe
NXOpen.Weld.WeldBeadBuilder.FaceInferMethodType 
FaceInferMethod [get, set]
 Returns or sets the method to use when inferring faces to create the bead guide curve path. More...
 
unsafe
NXOpen.Weld.WeldBeadBuilder.OutputTypes 
OutputType [get, set]
 Returns or sets the output type which controls the update behaviour of the bead feature. More...
 
unsafe
NXOpen.Weld.WeldBeadPathBuilderList 
PathList [get]
 Returns the list containing the defined path segments. More...
 
unsafe NXOpen.ScCollector SelectBottomParts [get]
 Returns the collector containing the secondary bodies the bead is attached to. More...
 
unsafe NXOpen.ScCollector SelectTopParts [get]
 Returns the collector containing the primary bodies the bead is attached to. More...
 
unsafe
NXOpen.Weld.WeldBeadSizeBuilderList 
SizeList [get]
 Returns the list containing the sizes used to create the bead. More...
 
unsafe double TangentAngle [get, set]
 Returns or sets the tangent angle used to find faces tangent to the seed face specified. More...
 
unsafe bool TransformSketchToBeadCenterline [get, set]
 Returns or sets the indication whether Sketch On Path is defined in relation to the bead centerline or if it needs to be transformed to be in proper position. More...
 
unsafe
NXOpen.Weld.WeldBeadBuilder.Types 
Type [get, set]
 Returns or sets the shape of the bead to create. More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Used to create or edit a NXOpen.Weld.WeldBead feature.

To create a new instance of this class, use NXOpen.Weld.WeldManager.CreateWeldBeadBuilder

Default values.

Property Value

BeadLocation

SecondaryParts

FaceInferMethod

None

TangentAngle

45.0

TransformSketchToBeadCenterline

0

Created in NX7.5.0

Member Enumeration Documentation

Settings to indicate the desired location of the bead.

Enumerator
SecondaryParts 

on the secondary parts

PrimaryParts 

on the primary parts

InSpace 

in space.

No on any parts

Settings to indicate the method for obtaining faces used when creating the guide curve path.

Enumerator
TangentFaces 

use faces tangent to selected faces to create the bead path curve

None 

only use selected faces to create the bead path curve

Settings to indicate the update behaviour of the bead feature

Enumerator
Fixed 

Bead does not recreate itself on update.

Associative 

Bead follows normal update behaviour.

Settings to indicate the sweep shape of the bead.

Enumerator
Ellipse 

ellipse shape

Tube 

tube shape

Sketch 

sketch shape

Triangle 

triangle shape

Rectangle 

rectangle shape

Member Function Documentation

unsafe NXOpen.Spline NXOpen.Weld.WeldBeadBuilder.CreatePreviewPath ( )
inline

Creates a preview curve that will be used to create the bead solid.

Created in NX11.0.0

License requirements: None.

Returns
The preview curve.
unsafe NXOpen.Spline NXOpen.Weld.WeldBeadBuilder.GetPreviewPath ( )
inline

The preview curve that will be used to create the bead solid.

Created in NX10.0.3

License requirements: None.

Returns
The preview curve.
unsafe NXOpen.Weld.WeldBeadPathBuilder NXOpen.Weld.WeldBeadBuilder.NewPath ( )
inline

Creates a NXOpen.Weld.WeldBeadPathBuilder object.

Created in NX7.5.0

License requirements: ugweld ("UG WELD")

Returns
unsafe NXOpen.Weld.WeldBeadSizeBuilder NXOpen.Weld.WeldBeadBuilder.NewSize ( )
inline

Creates a NXOpen.Weld.WeldBeadSizeBuilder object.

Created in NX7.5.0

License requirements: ugweld ("UG WELD")

Returns

Property Documentation

unsafe NXOpen.Weld.WeldBeadBuilder.BeadLocationMethod NXOpen.Weld.WeldBeadBuilder.BeadLocation
getset

Returns or sets the desired bead location.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: ugweld ("UG WELD")

unsafe NXOpen.Weld.CharacteristicsBuilder NXOpen.Weld.WeldBeadBuilder.Characteristics
get

Returns the characteristics to assign to the object created.

Created in NX7.5.0

License requirements: None.

unsafe double NXOpen.Weld.WeldBeadBuilder.DistanceTolerance
getset

Returns or sets the distance tolerance for constructing the bead.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: ugweld ("UG WELD")

unsafe bool NXOpen.Weld.WeldBeadBuilder.ExtendToBoundary
getset

Returns or sets the option to control if the bead guide curve should extend to the nearest face boundary.

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: ugweld ("UG WELD")

unsafe NXOpen.Weld.WeldBeadBuilder.FaceInferMethodType NXOpen.Weld.WeldBeadBuilder.FaceInferMethod
getset

Returns or sets the method to use when inferring faces to create the bead guide curve path.

Created in NX11.0.1

License requirements to get this property: None.

License requirements to set this property: ugweld ("UG WELD")

unsafe NXOpen.Weld.WeldBeadBuilder.OutputTypes NXOpen.Weld.WeldBeadBuilder.OutputType
getset

Returns or sets the output type which controls the update behaviour of the bead feature.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: ugweld ("UG WELD")

unsafe NXOpen.Weld.WeldBeadPathBuilderList NXOpen.Weld.WeldBeadBuilder.PathList
get

Returns the list containing the defined path segments.

Created in NX7.5.0

License requirements: None.

unsafe NXOpen.ScCollector NXOpen.Weld.WeldBeadBuilder.SelectBottomParts
get

Returns the collector containing the secondary bodies the bead is attached to.

Created in NX7.5.0

License requirements: None.

unsafe NXOpen.ScCollector NXOpen.Weld.WeldBeadBuilder.SelectTopParts
get

Returns the collector containing the primary bodies the bead is attached to.

Created in NX7.5.0

License requirements: None.

unsafe NXOpen.Weld.WeldBeadSizeBuilderList NXOpen.Weld.WeldBeadBuilder.SizeList
get

Returns the list containing the sizes used to create the bead.

Created in NX7.5.0

License requirements: None.

unsafe double NXOpen.Weld.WeldBeadBuilder.TangentAngle
getset

Returns or sets the tangent angle used to find faces tangent to the seed face specified.

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: ugweld ("UG WELD")

unsafe bool NXOpen.Weld.WeldBeadBuilder.TransformSketchToBeadCenterline
getset

Returns or sets the indication whether Sketch On Path is defined in relation to the bead centerline or if it needs to be transformed to be in proper position.

Created in NX1847.0.0

License requirements to get this property: None.

License requirements to set this property: ugweld ("UG WELD")

unsafe NXOpen.Weld.WeldBeadBuilder.Types NXOpen.Weld.WeldBeadBuilder.Type
getset

Returns or sets the shape of the bead to create.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: ugweld ("UG WELD")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.